
//このタブが更新されたら
chrome.tabs.onUpdated.addListener(function(tabId, changeInfo, tab){
	
	//amazonアソシエイトのページにアクセスしたら
	if (tab.url.indexOf('https://affiliate.amazon.co.jp/gp/associates/network/build-links/individual/') != -1) {
		chrome.pageAction.show(tabId); //このタブにページアクションを表示する
		chrome.pageAction.setPopup({ tabId: tab.id,popup: 'popup_copy.html' }); //コピー用のポップアップをセットする
	}
	
	//Wordpressの新規記事投稿ページにアクセスしたら
	if (tab.url.indexOf('wp-admin/post-new.php') != -1) {
		chrome.pageAction.show(tabId); //このタブにページアクションを表示する
		chrome.pageAction.setPopup({ tabId: tab.id,popup: 'popup_paste.html' }); //貼りつけ用のポップアップをセットする
	}
	
	//Wordpressの記事編集ページにアクセスしたら
	if (tab.url.indexOf('wp-admin/post.php') != -1) {
		chrome.pageAction.show(tabId); //このタブにページアクションを表示する
		chrome.pageAction.setPopup({ tabId: tab.id,popup: 'popup_paste.html' }); //貼りつけ用のポップアップをセットする
	}
});