
//一括置換用の関数を定義する
function replaceAll(expression, org, dest){
	return expression.split(org).join(dest);
}


//アマゾン・アソシエイトタグ取得ページで、タブで内のタグを取得し、ローカルストレージに保存する
chrome.tabs.getSelected(null, function(tab) {
	var url = tab.url;
	$(function(){
		$('#message').hide();
		
		//ローカルストレージに保存中の内容を表示
		var amazonTag = localStorage['amazonTag'];
		$('#copybox').val(amazonTag);
		$('#display').html(amazonTag);


		//現在表示中のページのタグを成形してローカルストレージに保存する
		$("#read").load(url+' #tabs', function(data) {
			//余分な表示がでるので非表示
			$("#read").hide();
			
			//#copyを押したら
			$('#copy').click(function(){
				
				//保存中の内容を初期化
				localStorage['amazonTag'] = "";
				
				//amazonのタグを取得
				var imgTag = $("#static_img_html_box").val();
				var textTag = $("#static_txt_html_box").val();
				
				//https一括置換とbrをつける
				amazonTag = imgTag.replace(/src="http:/g,'src="https:')+'<br>\n'+textTag.replace(/src="http:/g,'src="https:');
				
				//置換した内容を表示
				$('#display').html(amazonTag);
				$('#copybox').val(amazonTag);
				
				//改行があるとtextarea貼りつけ時にエラーが起きるため改行削除
				amazonTag = replaceAll(amazonTag, "\n", "");
				
				//ローカルストレージに保存
				localStorage['amazonTag'] = amazonTag;
				
				//メッセージを表示
				$('#message').fadeIn(50);
				setTimeout(function() {
					$('#message').fadeOut(100);
				}, 800);
			
			});
			
			
			if(data == null){
				$("#read").append("読込みに失敗しました"); 
			}
		});
	});
});

