//一括置換用の関数を定義する
function replaceAll(expression, org, dest){
	return expression.split(org).join(dest);
}




//現在のタブの記事本文テキストエリアの内容を取得して、その最後尾にamazonタグをはりつける
chrome.tabs.getSelected(null, function(tab) {
	var url = tab.url;
	$(function(){
	
		//ローカルストレージに保存中の内容を表示
		var amazonTag = localStorage['amazonTag'];
		$('#copybox').val(amazonTag);
		$('#display').html(amazonTag);

		//現在表示中のページのタグを成形してローカルストレージに保存する
		//本文のエリアを取得する
		$("#read").load(url+' #wp-content-editor-container', function(data) {
			//余分な表示がでるので非表示
			$("#read").hide();
			
			//現在ワードプレスの本文に入っている内容を取得する
			var articleBody = $("textarea[name=content]").val();
			
			//エラー回避のため文字エスケープ
			articleBody = replaceAll(articleBody, "\n", "\\n");
			articleBody = replaceAll(articleBody, "'", "&apos;");
			
			//#pasteを押したら
			$("#paste").click(function(){
				var amazonTag = localStorage['amazonTag'];
				
				//記事の最後尾にアマゾンのタグをつける
				articleBody = articleBody +"\\n"+ amazonTag;
		
				//ワードプレスの本文テキストエリアに内容を入れる
				chrome.tabs.executeScript(null,{
					"code":"document.getElementsByName('content')[0].value = '"+articleBody+"'"
				});
			});
			
			
			if(data == null){
				$("#read").append("読込みに失敗しました"); 
			}
		});
	});
});

